.body
{
  position: relative;
  height: 768px;
  width: 100%;
  max-width: 1440px;
  margin: 1rem auto;
  overflow: auto;
}

.implementation
{
  background-color: #F7F7F7;
  z-index: 1;
}

.implementation,
.reference
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.body::before
{
  content: "Reference";
  background: darkred;
  color: white;
  padding: 0.5rem;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

.ref-1 .implementation { opacity: 1; }
.ref-2 .implementation { opacity: 0.75; }
.ref-3 .implementation { opacity: 0.25; }
.ref-4 .implementation { opacity: 0; }
